Bug 1736760 - [Docs][Admin] Use new rsyslog format for setting up a host logging server
Summary: [Docs][Admin] Use new rsyslog format for setting up a host logging server
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ovirt-4.3.8
: ---
Assignee: Eli Marcus
QA Contact: Petr Kubica
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-01 21:57 UTC by Javier Coscia
Modified: 2019-12-15 15:49 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-15 15:49:30 UTC
oVirt Team: Metrics
Target Upstream Version:
emarcus: needinfo+
pkubica: needinfo-


Attachments (Terms of Use)

Description Javier Coscia 2019-08-01 21:57:57 UTC
Document URL: 

 * https://access.redhat.com/documentation/en-us/red_hat_virtualization/4.3/html/administration_guide/setting_up_a_host_logging_server

Section Number and Name: 

 * 20.5. Setting Up a Host Logging Server

Describe the issue: 

 * Step #2 uses the legacy rsyslog format
 
Suggestions for improvement: 

 * Docs should give an example using the new rsyslog format
 
   - Step 2 should mention to create a custom .conf file on the syslog server, /etc/rsyslog.d/from_remote.conf for example, with the following content:
     ~~~
     template(name="DynFile" type="string" string="/var/log/%HOSTNAME%/%PROGRAMNAME%.log")
     ruleset(name="RemoteMachine"){  action(type="omfile" dynaFile="DynFile")  }
     module(load="imudp")
     input(type="imudp" port="514" ruleset="RemoteMachine")
     ~~~

   - Remove the `Uncomment the following` below example in step 2

   - Add another step/example to configure rsyslog.conf in hypervisor side to send logs to remote and restart rsyslog service on the hypervisor too.
     
     Add the following line into /etc/rsyslog.conf in hypervisor
     ~~~
     *.info;mail.none;authpriv.none;cron.none @<syslog-FQDN>:514
     ~~~

     Restart rsyslog in hypervisor
     ~~~
     # systemctl restart rsyslog
     ~~~


Additional information:

Comment 6 Javier Coscia 2019-11-21 11:15:50 UTC
I'm sorry, haven't seen this NI on me. LGTM Thanks


Note You need to log in before you can comment on or make changes to this bug.